function ECSettings = ECSet(WantedSettings)
%ECSet: set channels of 8 channel amplifier

% Get current 8 channel amplifier settings
ECDapStt;
CurrentSettings = ECDapRd(zeros(1,8));

% Re-set DAP based on dicrepancies
Increments = WantedSettings - CurrentSettings;

for i = 1:8
  if Increments(i) < 0
    Increments(i) = Increments(i) + 8;
  end
end

ECSettings = ECDapRd(Increments);

ECDapStp;

