function RTsave1(filename)
%RTsave: save data gathered by recordthresh routines using
%default filename.

global ec
global rt
global ui
global sr

cm_jumpers = sr.cm_jumpers;
full_scale = sr.full_scale;

save(filename,'rt','ec','cm_jumpers','full_scale')
if ui.compression == 1
  unix(['gzip ' filename '.mat']);
end
ui.filenum = dec2base(base2dec(ui.filenum,36)+1,36);
if size(ui.filenum,2) < 2
  ui.filenum = ['0' ui.filenum];
end




