function RTsave2()
%RTsave: save data gathered by recordthresh routines, prompting
%the user for a filename.

global ec
global rt
global ui
global sr

datestring = datestr(now,2);
prefix = datestring([1 2 4 5 7 8]);

if isempty(ui.filenum)
  ui.filenum = UIFilNum;
end

filename = [prefix ui.filenum];
[filename,pathname] = uiputfile(filename,'Save File');
if filename
  cm_jumpers = sr.cm_jumpers;
  full_scale = sr.full_scale;
  save([pathname filename],'rt','ec','cm_jumpers','full_scale')
  if ui.compression == 1
    unix(['gzip ' pathname filename '.mat']);
  end
  ui.filenum = dec2base(base2dec(ui.filenum,36)+1,36);
  if size(ui.filenum,2) < 2
    ui.filenum = ['0' ui.filenum];
  end
end



