function SRDrawCurs()
%add cursor lines too all plots

global th;
global ec;
global sr;

m = (100*sr.full_scale)/32768;

for i=1:8
  thr = m*th.thresholds(ec.channel_settings(i)+1,i);
  axes(findobj('Tag',[char(64+i) 'Data']));
  hold on;
  tag = [char(64+i) num2str(ec.channel_settings(i)) 'Thr'];
  plot([0 50],[thr thr],'r','EraseMode','xor','ButtonDownFcn', ...
       ['SRMoveCurs strt' tag],'Tag',tag);
  hold off;
end
