function srstrct = SRistrct(x)
%SRistrct: Returns 1 if input is sr type, 0 otherwise

srstrct = 1;

if ~isstruct(x)
  srstrct = 0;
  return
end

sr = SRDfault;
srfields = fieldnames(sr);
xfields = fieldnames(x);

if size(srfields,1) ~= size(xfields,1)
  srstrct = 0;
  return
end

if sum(strcmp(srfields,xfields)) ~= size(srfields,1)
  srstrct = 0;
  return
end
