function THanim(action)

global th;

%conversion factor for volts
c = 5/32768;

switch(action)
  case 'start'
    set(gcbf,'WindowButtonMotionFcn','THanim move')
    set(gcbf,'WindowButtonUpFcn','THanim stop')
    set(th.active_handle,'Visible','on')
    set(findobj('Tag','thelec'),'String',...
        get(get(th.active_handle,'Parent'),'Tag'))
  case 'move'
    currPt=get(gca,'CurrentPoint');
    set(th.active_handle,'XData',[currPt(1,1) currPt(1,1)])
    set(findobj('Tag','thtext'),'String',num2str(c*currPt(1,1)))
  case 'stop'
    set(gcbf,'WindowButtonMotionFcn','')
    set(gcbf,'WindowButtonUpFcn','')
    set(th.active_handle,'Visible','off')
    set(findobj('Tag','thelec'),'String','')
    set(findobj('Tag','thtext'),'String','')
    plotid = get(get(th.active_handle,'Parent'),'Tag');
    currPt=get(gca,'CurrentPoint');
    thresh = -16*round(currPt(1,1)/16);
    th.thresholds(str2num(plotid(2))+1,double(plotid(1))-64) = thresh;
end







