function THsweep
%THsweep: sweep through electrodes, flashing LED and collecting spike data

global th;

%Download getspike custom command
unix('/usr/src/linux/drivers/dap/comload /dos/andrew/dap/getspike.bin -s1000');

for i = 0:7
DapRset
tic
while toc<.1
end
ECDapNit
tic
while toc<.1
end
ECSet(i*ones(1,8));
tic
while toc<.1
end
a=PSTH2(th.thresholds(i+1,:));
binvector = linspace(0,32768,75);
for j = 0:7
  axes(findobj('Tag',[char(65+j) num2str(i)]));
  N = hist(-a([3:3:300],j+1),binvector);
  bar(binvector,N/100);
  set(gca,'XTick',[],'YTick',[],'Tag',[char(65+j) num2str(i)])
  hold on
  LineHandle = plot([0 0],[0 1]);
  set(LineHandle,'Visible','off','EraseMode','xor');
  axis([0 32768 0 1])
  set(gca,'ButtonDownFcn', ...
      'th.active_handle=findobj(''Parent'',gca,''Type'',''line'');THanim start');
  hold off
end
  drawnow
end


% Need to designate a data structure for spike data.
% 61 electrodes to consider.
% Up to 3xMAX_SPIKES data points per electrode.
% Might just make it a 2d array, 64x(3xMAX_SPIKES) to keep indexing simple

% Re-name routines to make names less opaque.





