function scaled = TPOutScl(tp,unscaled)
% TPOutScl: Converts from volts to an integer to send to the Dap board.

scaled = 16*round( (32768*(unscaled/tp.full_scale)) / 16 );

if abs(scaled) > 32768
  disp('TPOutScl: input out of range: setting to FullScale')
  scaled = sign(scaled) * 32768;
end

if scaled == 32768
  scaled = 32752;
end

