#include <stdio.h>
#include <sys/times.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "intrfc.h"
#include "dapio.c"

void main() 
   {
   short digdata[70];
   int i,j;
   int total,BytesAvail;
   clock_t t;
   struct tms buf;
   char dapline[80];
   char DapFileName[80];

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }

   /* Flush communication channels. */
   DAPFlush(fdDapBin);
   DAPFlush(fdDapTxt);

   /* Send configuration file to DAP */
   printf("Sending foo.dap to DAP board...\n");
   DAPSendFile(fdDapTxt,"foo.dap");
   t = times(&buf);
   while ((times(&buf)-t) < 100) {}

   /* Start output procedure */
   printf("Starting output procedure...\n");
   DAPSendLine(fdDapTxt,"start digouta,digoutb\r");
   t = times(&buf);
   while ((times(&buf)-t) < 100) {}
   

   /* Copy data into output array */
   for(i=0;i<35;i++){
     digdata[2*i]=-1;
     digdata[(2*i)+1]=-1;} 
digdata[69]=0;

   for(i=0;i<5000;i++){
   /* Write the data to the DAP */
   write(fdDapBin,digdata,140);
   t = times(&buf);
   while ((times(&buf)-t) < 1) {}
}
   
   /* Pause 100ms while data is sent to DAP */
   t = times(&buf);
   while ((times(&buf)-t) < 100) {}
   
   /* Stop DAP script. */
   DAPSendLine(fdDapTxt,"stop digouta,digoutb\r");

   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);
   }








