function intrmenu()
% intrmenu: Creates a menu at the top of each screen used in the
% interface program.

h = uimenu('Label','INTRFC');
i = uimenu(h,'Label','TwoPulse','Callback', ...
    ['if ~strcmp(get(gcbf,''Tag''),get(gcbo,''Label'')),' ...
       'close(gcbf), TPstart, end']);
i = uimenu(h,'Label','ShortRec','Callback', ...
    ['if ~strcmp(get(gcbf,''Tag''),get(gcbo,''Label'')),' ...
       'close(gcbf), SRstart, end']);
i = uimenu(h,'Label','EightChannel','Callback', ...
    ['if ~strcmp(get(gcbf,''Tag''),get(gcbo,''Label'')),' ...
       'close(gcbf), ECstart, end']);
i = uimenu(h,'Label','Thresholds','Callback', ...
    ['if ~strcmp(get(gcbf,''Tag''),get(gcbo,''Label'')),' ...
       'close(gcbf), THstart, end']);

