/*
 *   DAPIO.H
 *
 *   Copyright (c) 1997, Microstar Laboratories, Inc.
 *   All rights reserved.
 *
 */

/*  Function declarations */
int DAPGetAvail(int fd);
int DAPPutAvail(int fd);
int DAPSendFile(int fd, char * sDAPLName);
int DAPSendLine(int fd, char * sDAPLLine);
int DAPFlush(int fd);
int DAPAccelVersion(int fd);

/* IOCTL function capabilities */
#define GETAVAIL   1
#define PUTAVAIL   2
#define BfOUTB     3
#define BfOUTW     4
#define BfINPB     5
#define BfINPW     6
#define BfOUTSW1   7
#define BfOUTSW2   8
#define HWSTATUS   9
#define BLOCKINTERRUPTS   10
#define UNBLOCKINTERRUPTS 11
#define REINITIALIZE      12
#define DAPLREADY         13
#define SETTIMEOUT        14
#define VERSION           15
