/* stop dap processes */

#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "mex.h"
#include "dapio.c"

void mexFunction(
  int nlhs, mxArray *plhs[],
  int nrhs, const mxArray *prhs[])
  {

  int fdDapTxt,fdDapBin;

  /* Open handles to DAP text and binary communication pipes */
  if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
    { printf("Error opening accel0, errno=%d\n",errno); return; }
  if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
    { printf("Error opening accel1, errno=%d\n",errno); return; }

  /*  DAPFlush(fdDapTxt); */
  /*  DAPFlush(fdDapBin); */
  DAPSendLine(fdDapTxt,"stop\r");

  /* Close handles */
  close(fdDapTxt);
  close(fdDapBin);

  /* all dap processes are now halted */
   }








