#include <stdio.h>
#include <sys/times.h>
#include <sys/file.h>
#include <sys/types.h>
#include <errno.h>
#include "dapio.c"

void main() {
  int fdDapTxt,fdDapBin;
  int BytesAvail;
  clock_t t;
  struct tms buf;
  short DapData[12];
  unsigned int t1,t2;

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }

   /* Send configuration file to DAP */
   DAPSendLine(fdDapTxt,"reset\r");
   DAPSendFile(fdDapTxt,"/home/andrew/matlab/intrfc/dap/smartbxn.dap");
   DAPSendLine(fdDapTxt,"start smarta,smartb\r");

   t = times(&buf);
   while ((times(&buf)-t) < 6100) {
     if (DAPGetAvail(fdDapBin) >= 12) {
       read(fdDapBin,DapData,12);
       t1 = (unsigned int) ((unsigned short) DapData[2]) << 16;
       t1 = t1 + (unsigned int) ((unsigned short) DapData[1]);
       printf("%d %u %u\n",DapData[0],t1,t2);
       printf("%d %d %d\n\n",DapData[3],DapData[4],DapData[5]);}}

   DAPSendLine(fdDapTxt,"stop smartb\r");
     
   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);

}
