function fn = FileNum()
%FileNum: determine number of next file, and put it in a string

dirstr = ls;

datestring = datestr(now,2);
prefix = datestring([1 2 4 5 7 8]);

indices = findstr(prefix,dirstr);
if isempty(indices)
  fn = '1';
else
  maxnum = hex2dec(dirstr(indices(1)+6:indices(1)+7));
  fn = dec2hex(1+maxnum);
  for i = 2:size(indices,2)
    if hex2dec(dirstr(indices(i)+6:indices(i)+7)) > maxnum
       maxnum = hex2dec(dirstr(indices(i)+6:indices(i)+7)); 
       fn = dec2hex(1 + maxnum);
    end
  end
end


