function RTMoveCurs(action)
global rt;

switch(action(4:size(action,2)))
  case 'start'
    set(gcbf,'WindowButtonMotionFcn',['RTMoveCurs ' action(1:3) 'move']);
    set(gcbf,'WindowButtonUpFcn',['RTMoveCurs ' action(1:3) 'stop'])
  case 'move'
    currPt = get(gca,'CurrentPoint');
    switch action(1:3)
      case {'top','bot'}
        set(findobj('Tag',['RT' action(1:3)]),'YData', ...
        [currPt(1,2) currPt(1,2)]);
      case {'rgt','lft'}
        set(findobj('Tag',['RT' action(1:3)]),'XData', ...
        [currPt(1,1) currPt(1,1)+.01]);
    end
  case 'stop'
    set(gcbf,'WindowButtonMotionFcn','');
    set(gcbf,'WindowButtonUpFcn','')

    % Save cursor locations in global variable

    a = get(findobj('Tag','RTtop'),'YData');
    b = get(findobj('Tag','RTbot'),'YData');
    c = get(findobj('Tag','RTlft'),'XData');
    d = get(findobj('Tag','RTrgt'),'XData');

    rt.top = a{1}(1);
    rt.bot = b{1}(1);
    rt.lft = c{1}(1);
    rt.rgt = d{1}(1);
end
