function rtstrct = RTistrct(x)
%RTistrct: Returns 1 if input is rt type, 0 otherwise

rtstrct = 1;

if ~isstruct(x)
  rtstrct = 0;
  return
end

rt = RTDfault;
rtfields = fieldnames(rt);
xfields = fieldnames(x);

if size(rtfields,1) ~= size(xfields,1)
  rtstrct = 0;
  return
end

if sum(strcmp(rtfields,xfields)) ~= size(rtfields,1)
  rtstrct = 0;
  return
end
