function SRsave()
%SRsave: save data gathered by shortrec routines.

global sr
global tp
global ec
global ui

datestring = datestr(now,2);
prefix = datestring([1 2 4 5 7 8]);

if isempty(ui.filenum)
  ui.filenum = UIFilNum;
end

filename = [prefix ui.filenum];
[filename,pathname] = uiputfile(filename,'Save File');
if filename
  save([pathname filename],'sr','tp','ec')
  if ui.compression == 1
    unix(['gzip ' pathname filename '.mat']);
  end
  ui.filenum = dec2base(base2dec(ui.filenum,36)+1,36);
  if size(ui.filenum,2) < 2
    ui.filenum = ['0' ui.filenum];
  end
end

