function newsr = SRsw(oldsr,action)
%SRsw: callback functions for shortrec recordings

newsr = oldsr;

switch action

  % functions for setting number of stimulation counts
  case {'numrecs','ctg','ctgg','ctl','ctll'}
    newsr = SRswct(newsr,action);

  case 'stimtype'
    newsr.stim_type = get(findobj('Tag','StimType'),'Value');

  case 'm1j'
    newsr.cm_jumpers(1) = get(gcbo,'Value') - 1;

  case 'm2j'
    newsr.cm_jumpers(2) = get(gcbo,'Value') - 1;

  case 'savewaves'
    SRsave;

  case 'backup'
    newsr = SRGetOld;
end












