function newsr = SRswct(oldsr,action)
%SRswct: callback functions for modifying recording counts shortrec

newsr = oldsr;

switch action

  case 'numrecs'
    if (get(findobj('Tag','NumRecs'),'Value') == 1)
      newsr.num_recs = abs(newsr.num_recs);
      set(findobj('Tag','count'),'Visible','on')
    else
      newsr.num_recs = -abs(newsr.num_recs);
      set(findobj('Tag','count'),'Visible','off')
    end
 
  case 'ctg'
      newsr.num_recs = newsr.num_recs + 1;

  case 'ctgg'
      newsr.num_recs = newsr.num_recs + 10;

  case 'ctl'
    if newsr.num_recs - 1 >= 0
      newsr.num_recs = newsr.num_recs - 1;
    end

  case 'ctll'
    if newsr.num_recs - 10 >= 0
      newsr.num_recs = newsr.num_recs - 10;
    end

end

% Update number of rounds of recording on screen if
% it is a finite number

if newsr.num_recs >= 0
  SRNwTxt(newsr,1);
end



