function thstrct = THistrct(x)
%THistrct: Returns 1 if input is th type, 0 otherwise

thstrct = 1;

if ~isstruct(x)
  thstrct = 0;
  return
end

th = THDfault;
thfields = fieldnames(th);
xfields = fieldnames(x);

if size(thfields,1) ~= size(xfields,1)
  thstrct = 0;
  return
end

if sum(strcmp(thfields,xfields)) ~= size(thfields,1)
  thstrct = 0;
  return
end
