function ui = UIDfault()
%UIDfault: returns interface variable ui set to default values

% The filenum field hold a hexadecimal number (string) for
% the next file to be written to disk.  The default filename
% format is MMDDYYNN, where MM=month,DD=day,YY=year and
% NN=filenum.
ui.filenum = UIFilNum;

% If the compression field is set to 1, files are compressed
% with the gzip utility upon saving.
ui.compression = 1;

% If ecchange field sets the appropriate "Change: " checkbox in
% the EightChannel screen.
%
% 1 = change recording electrode
% 2 = change stimulator +
% 3 = change stimulator -
% 4 = disconnect from stimulator
ui.ecchange = 1;
