function fn = UIFilNum()
%UIFilNum: determine number of next file, and put it in a string

dirstr = ls;

datestring = datestr(now,2);
prefix = datestring([1 2 4 5 7 8]);

indices = findstr(prefix,dirstr);
if isempty(indices)
  fn = '00';
else
  maxnum = base2dec(dirstr(indices(1)+6:indices(1)+7),36);
  fn = dec2base(1+maxnum,36);
  for i = 2:size(indices,2)
    if base2dec(dirstr(indices(i)+6:indices(i)+7),36) > maxnum
       maxnum = base2dec(dirstr(indices(i)+6:indices(i)+7),36); 
       fn = dec2base(1 + maxnum,36);
    end
  end
  if size(fn,2) < 2
    fn = ['0' fn];
  end
end


