#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "mex.h"
#include "dapio.c"

void pgen(short *DapData)
{
  int i,fdDapTxt,fdDapBin,ibytes;
  int clktime, nsamples, voltage;
  char dapline[80];
  short lasttwobytes;

  lasttwobytes = 0;

  /* Open handles to DAP text and binary communication pipes */
  if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
    { printf("Error opening accel0, errno=%d\n",errno); return; }
  if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
    { printf("Error opening accel1, errno=%d\n",errno); return; }

  /*  DAPFlush(fdDapTxt); */
  /*  DAPFlush(fdDapBin); */

  /* write to dap board via binary channel */
  write(fdDapBin,DapData,1204);

  /* close handles */
  close(fdDapTxt);
  close(fdDapBin);
}

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   int i;
   double *InData; /* data comes in from matlab, goes out to board */
   short OutData[602];

   /* get pointer to input data */
   InData = mxGetPr(prhs[0]);

   /* copy dap data into output matrix, converting to type short */
   for (i=0; i < 602; i++) {
     OutData[i] = (short) InData[i];}

   /* printf("%d %d\n",OutData[600],OutData[601]); */
   /* call the pgen routine */
   pgen(OutData);
   }








